Subject: Re: Propagating config to clones/pulls

From: "Neal Kreitzinger" <[email-masked]>
Date: Tue, 7 Sep 2010 16:36:23 -0500

"Douglas Tan" <[email-masked]> wrote in message 
news:[email-masked]...
>I have some config settings that I'll like to make default for anyone 
>cloning/pulling from the central remote bare repository. I've tried to do 
>this by editing the config file in the bare repository on the server but 
>the change doesn't appear when cloning. How can I go about pushing default 
>config settings to anyone cloing or pulling from the repository?--

Based on the assumption that your "child" repos are supposed to have the 
same .git/config files, I tried using git-init --template=x with a config 
file in template directory "x", but git-init only picks up the config file 
on an initialization of a new repo, not on a reinitialization of an existing 
repo.

v/r,
Neal